/* 
 * Game.java 
 * 
 * Game class stores all game related values, such as the chat buffer, current time, and any
 * future values such as player position, mob positions/types, inventory, etc.  All other classes
 * should read and write here.
 * 
 */


package com.synthdreams;

import java.util.Vector;

public class Game {
   private static Object _timeLock;
   private static long _time;
   private static Vector _chatBuffer;   
   private static String _status;

   static {
      _timeLock = new Object();
      _time = 0;
      _chatBuffer = new Vector();
      _status = "";
   }
   
   public static long getTime() {synchronized(_timeLock) {return _time;}}
   public static void setTime(long passTime) {synchronized(_timeLock) {_time = passTime;}}
   
   public static Vector getChat() {synchronized(_chatBuffer) { return _chatBuffer;}}
   public static void addChat(String passLine) {
      synchronized(_chatBuffer) {
         _chatBuffer.addElement(passLine);
         if (_chatBuffer.size() > 50) {
            _chatBuffer.removeElementAt(0);
         }
      }
   }   
   
   public static String getStatus() {synchronized(_status) {return _status;}}
   public static void setStatus(String passStatus) {synchronized(_status) {_status = passStatus;}}
   
}
